Bug 1273668 - to_string() appends 'undef' to array attribute
to_string() appends 'undef' to array attribute
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: perl-Exception-Base (Show other bugs)
epel7
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
https://github.com/dex4er/perl-Except...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 20:08 EDT by Jim Vella
Modified: 2016-09-07 02:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Exception-Base-0.2501-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-07 02:16:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Vella 2015-10-20 20:08:11 EDT
Description of problem:
Invoking to_string has the side effect of appending 'undef' to an array attribute.

Version-Release number of selected component (if applicable):
perl-Exception-Base-0.2500-1.el7.noarch.rpm
perl v5.16.3

How reproducible:
Always

Steps to Reproduce:
Can reproduce with this perl script:

#!/bin/perl
use warnings;
use strict;

use Data::Dumper;

use Exception::Base
    'MyException', => {
        message => 'Validation error',
        has     => [ qw(class errors) ],

        string_attributes => [ 'message', 'class', 'errors' ]
    };
eval {
    MyException->throw(
            class  => __PACKAGE__,
            errors => ["error 1", "error 2", "error 3"]
        );
};

my $exception = $@;

print( Dumper($exception->errors()) . "\n");

$exception->to_string();

print( Dumper($exception->errors()) . "\n");


Actual results:
Can see an additional 'undef' in the array returned after invoking to_string();

Expected results:
The returned array should be the same as when thrown.


Additional info:
Comment 1 Fedora Update System 2016-08-22 06:43:42 EDT
perl-Exception-Base-0.2501-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-22753b2cc4
Comment 2 Fedora Update System 2016-08-22 15:48:16 EDT
perl-Exception-Base-0.2501-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-22753b2cc4
Comment 3 Fedora Update System 2016-09-07 02:16:47 EDT
perl-Exception-Base-0.2501-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.